import { AfterContentInit, Injector, NgZone, OnDestroy, OnInit, QueryList } from '@angular/core';
import { CarouselComponent, SlideComponent } from 'ngx-bootstrap/carousel';
import { StylableComponent } from '@wm/components/base';
import * as i0 from "@angular/core";
export declare class CarouselDirective extends StylableComponent implements AfterContentInit, OnDestroy, OnInit {
    component: CarouselComponent;
    private ngZone;
    static initializeProps: void;
    private animator;
    private navigationClass;
    private fieldDefs;
    private interval;
    animationinterval: any;
    animation: any;
    controls: any;
    currentslide: any;
    previousslide: any;
    slides: QueryList<SlideComponent>;
    constructor(component: CarouselComponent, inj: Injector, ngZone: NgZone, explicitContext: any);
    private onDataChange;
    private stopAnimation;
    private startAnimation;
    private onSlidesRender;
    private setupHandlers;
    onChangeCB(newIndex: any, oldIndex: any): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    setanimationinterval(): void;
    triggerAnimation(slides: any): void;
    ngOnInit(): void;
    onPropertyChange(key: string, nv: any, ov?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CarouselDirective, [null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CarouselDirective, "[wmCarousel]", ["wmCarousel"], {}, {}, ["slides"], never, false, never>;
}
